org.apache.lucene.search.highlight

## Class TokenStreamFromTermPositionVector

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.search.highlight.TokenStreamFromTermPositionVector

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class TokenStreamFromTermPositionVector
    extends TokenStream

TokenStream created from a term vector field.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Constructor Summary

Constructors
Constructor and Description
`TokenStreamFromTermPositionVector(Terms vector)` Constructor.

### Method Summary

Methods
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenStream

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenStreamFromTermPositionVector

    public TokenStreamFromTermPositionVector(Terms vector)
                                      throws IOException

Constructor.

Parameters:
  `vector` - Terms that contains the data for creating the TokenStream. Must have positions and offsets.
Throws:
  `IOException`

### Method Detail

#### incrementToken

    public boolean incrementToken()

Specified by:
  `incrementToken` in class `TokenStream`

#### reset

    public void reset()

Overrides:
  `reset` in class `TokenStream`